<?php

function restrict_statuses_for_paypals( $post_types = array(), $status_name = '' ) {
	if ( 'draft' === $status_name || 'pending' === $status_name ) {
		//return $post_types;
	}

	// All other statuses (eg: Publish, Private...) won't be applied to tickets
	return array_diff( $post_types, array( 'pages' ) );
}
//add_filter( 'wp_statuses_get_registered_post_types', 'restrict_statuses_for_paypals', 10, 2 );

/*
* Estado Reserva son 3 funciones
* fuente:
* https://stackoverflow.com/questions/49557810/add-new-custom-post-status-via-register-post-status-in-wordpress
*/

// para uso posterior
function reserva_status_creation(){
        register_post_status( 'reserva', array(
            'label'                     => _x( 'Reserva', 'paypals' ),
            'label_count'               => _n_noop( 'Reserva <span class="count">(%s)</span>', 'Reserva <span class="count">(%s)</span>'),
            'public'                    => true,
			'post_type'					=> array('paypals'),
            'exclude_from_search'       => false,
            'show_in_admin_all_list'    => true,
            'show_in_admin_status_list' => true
        ));
 }

// para uso posterior
function reserva_status_add_in_quick_edit() {
	global $post;
	if($post->post_type == 'paypals') {
        echo "<script>
        jQuery(document).ready( function() {
            jQuery( 'select[name=\"_status\"]' ).append( '<option value=\"reserva\">Reserva</option>' );      
        }); 
        </script>";
	}
}

// para uso posterior
function reserva_status_add_in_post_page() {
	global $post;
	if($post->post_type == 'paypals') {
        echo "<script>
        jQuery(document).ready( function() {        
            jQuery( 'select[name=\"post_status\"]' ).append( '<option value=\"reserva\">Reserva</option>' );
        });
        </script>";
	}
}

//add_action( 'init', 'reserva_status_creation' );
//add_action('admin_footer-edit.php','reserva_status_add_in_quick_edit');
//add_action('admin_footer-post.php', 'reserva_status_add_in_post_page');
//add_action('admin_footer-post-new.php', 'reserva_status_add_in_post_page');

/*
* Estado En revision son 3 funciones
*/

// para uso posterior
 function enrevision_status_creation(){
        register_post_status( 'enrevision', array(
            'label'                     => _x( 'En revision', 'paypals' ),
            'label_count'               => _n_noop( 'En revision <span class="count">(%s)</span>', 'En revisi&oacute;n <span class="count">(%s)</span>'),
            'public'                    => true,
			'post_type'					=> array('paypals'),
            'exclude_from_search'       => false,
            'show_in_admin_all_list'    => true,
            'show_in_admin_status_list' => true
        ));
 }

// para uso posterior
function enrevision_status_add_in_quick_edit() {
	global $post;
	if($post->post_type == 'paypals') {

        echo "<script>
        jQuery(document).ready( function() {
            jQuery( 'select[name=\"_status\"]' ).append( '<option value=\"enrevision\">En revisi&oacute;n</option>' );      
        }); 
        </script>";
	}
}

// para uso posterior
function enrevision_status_add_in_post_page() {
	global $post;
	if($post->post_type == 'paypals') {
        echo "<script>
        jQuery(document).ready( function() {        
            jQuery( 'select[name=\"post_status\"]' ).append( '<option value=\"enrevision\">En revisi&oacute;n</option>' );
        });
        </script>";
	}
}

//add_action( 'init', 'enrevision_status_creation' );
//add_action('admin_footer-edit.php','enrevision_status_add_in_quick_edit');
//add_action('admin_footer-post.php', 'enrevision_status_add_in_post_page');
//add_action('admin_footer-post-new.php', 'enrevision_status_add_in_post_page');


//include('mitest.php');
